| Version: 3.2.5

Public Member Functions | List of all members
wxHtmlRenderingState Class Reference
Class List by Category » HTML

`#include <wx/html/htmlcell.h>`

## Detailed Description

Selection state is passed to wxHtmlCell::Draw so that it can render itself differently e.g.

when inside text selection or outside it.

##

Library: wxHTML
Category: HTML

## Public Member Functions

| wxHtmlRenderingState ()
void | SetSelectionState (wxHtmlSelectionState s)
wxHtmlSelectionState | GetSelectionState () const
void | SetFgColour (const wxColour &c)
const wxColour & | GetFgColour () const
void | SetBgColour (const wxColour &c)
const wxColour & | GetBgColour () const
void | SetBgMode (int m)
int | GetBgMode () const

## Constructor & Destructor Documentation

## ◆ wxHtmlRenderingState()

wxHtmlRenderingState::wxHtmlRenderingState | ( |  | ) |

## Member Function Documentation

## ◆ GetBgColour()

const wxColour& wxHtmlRenderingState::GetBgColour | ( |  | ) | const

## ◆ GetBgMode()

int wxHtmlRenderingState::GetBgMode | ( |  | ) | const

## ◆ GetFgColour()

const wxColour& wxHtmlRenderingState::GetFgColour | ( |  | ) | const

## ◆ GetSelectionState()

wxHtmlSelectionState wxHtmlRenderingState::GetSelectionState | ( |  | ) | const

## ◆ SetBgColour()

void wxHtmlRenderingState::SetBgColour | ( | const wxColour & | c | ) |

## ◆ SetBgMode()

void wxHtmlRenderingState::SetBgMode | ( | int | m | ) |

## ◆ SetFgColour()

void wxHtmlRenderingState::SetFgColour | ( | const wxColour & | c | ) |

## ◆ SetSelectionState()

void wxHtmlRenderingState::SetSelectionState | ( | wxHtmlSelectionState | s | ) |